﻿import os
import globalPluginHandler
import globalVars
import speechDictHandler
import ui

dic = os.path.join(os.path.dirname(os.path.abspath(__file__)), "spell.dic")
sD = speechDictHandler.SpeechDict()
spell = False

def spellon():
  speechDictHandler.dictionaries["temp"].extend(sD)
  global spell
  spell = True

def spelloff():
  for entry in sD:
    if entry in speechDictHandler.dictionaries["temp"]:
      speechDictHandler.dictionaries["temp"].remove(entry)
  global spell
  spell = False

class GlobalPlugin(globalPluginHandler.GlobalPlugin):
  def __init__(self):
    super(globalPluginHandler.GlobalPlugin, self).__init__()
    sD.load(dic)

  def terminate(self):
    spelloff()
    sD = None

  def script_toggle(self, gesture):
    if not globalVars.speechDictionaryProcessing:
      return
    if spell:
      spelloff()
      ui.message("英文拼讀關")
    else:
      spellon()
      ui.message("英文拼讀開")
  script_toggle.__doc__ = "英文拼讀開關"

  __gestures = {
    "kb:control+NVDA+numpad2":"toggle"
  }
